<?php
namespace Misuzu\Profile;

use Index\Data\IDbResult;

class ProfileFieldValueInfo {
    private string $fieldId;
    private string $userId;
    private string $formatId;
    private string $value;

    public function __construct(IDbResult $result) {
        $this->fieldId = (string)$result->getInteger(0);
        $this->userId = (string)$result->getInteger(1);
        $this->formatId = (string)$result->getInteger(2);
        $this->value = $result->getString(3);
    }

    public function getFieldId(): string {
        return $this->fieldId;
    }

    public function getUserId(): string {
        return $this->userId;
    }

    public function getFormatId(): string {
        return $this->formatId;
    }

    public function getValue(): string {
        return $this->value;
    }
}
